*,*::after,*::before{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root {

    --dk-violet: hsl(268, 75%, 9%);
    --lt-violet: hsl(268, 47%, 21%);
    --lt-violet2: hsl(281, 89%, 26%);
    --vb-violet: hsl(285, 91%, 52%);
    --vb-violet2: hsl(290, 70%, 36%);
  
    --vb-yellow: hsl(52, 100%, 62%);
  
  
    --pl-white: hsl(0, 0%, 100%);
  
    --vb-cyan: hsl(176, 100%, 44%);
    --vb-cyan2: hsl(177, 92%, 70%);
    --dk-text: hsl(198, 20%, 13%);
}
body{
    /* border: 5px solid blue; */
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: linear-gradient(231deg, rgba(22, 6, 40, 1) 0%, rgba(52, 28, 79, 1) 50%, rgba(88, 7, 125, 1) 100%);
}
.wrapper{
    /* border: solid red 2px; */
    width: 90%;
    max-width: 450px;
}
h1{
    color: var(--pl-white);
    opacity: 0.75;
    letter-spacing: 2px;
    text-align: center;
    line-height: 1.2;
}

.display-container{
    position: relative;
    background-color: var(--dk-violet);
    border-radius: 1rem;
    border-bottom: 0.35 solid var(--lt-violet2);
    margin: 1rem 0;
    padding-top: 0.35rem;

}
.display{
    width: 100%;
    background-color: transparent;
    padding: 1.15rem 1rem;
    color: var(--vb-yellow);
    font-weight: 600;
    font-size: 1.5em;
    line-height: 30px;
    letter-spacing: 1px;
    border: none;
    padding-right: 3.25rem;
}
.display::placeholder{
    position: absolute;
    top: 50%;
    left: 1.5rem;
    font-size: 1.5rem;
    line-height: 30px;
    color: var(--vb-yellow);
    opacity: 0.65;
    text-transform: uppercase;
    transform: translateY(-50%) ;
}
.display-container button{
    position: absolute;
    top: 50%;
    right: 1.5rem;
    transform: translateY(-50%) ;
}


.container{
    width: 100%;
    padding: 2rem;
    background-color: var(--dk-violet);
    border-radius: 1rem;
    border-bottom: 0.35 solid var(--lt-violet2) ;
    
}
.length-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.length-container p:nth-child(1){
    color: var(--pl-white);
    font-size: 1.5rem;
}

.length-container p:nth-child(2){
    color: var(--vb-yellow);
    font-size: 1.5rem ;
}

.strength-contianer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1.75rem;
    margin-bottom: 2rem;
}

.strength-contianer p{
    color: var(--pl-white);
    font-size: 1.5rem;
}

.indicator{
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
}

.slider{
    /* border: 5px solid blue; */
    width: 100%;
}

.generateButton     {
    border-radius: 0.75rem ;
    width: 100%;
    padding: 1rem 0;
    background-color: var(--dk-violet);
    text-align: center;
    border-bottom: 0.35rem solid var(--vb-yellow);
    letter-spacing: 1px;
    color: var(--vb-yellow);
    font-weight: 600;
    font-size: 1.25rem;
}

.check{
    display: flex;
    align-items: center;
    margin: 1rem 0;
    gap: 0 1rem;
}

.check input{
    appearance: none;
    width: 20px;
    height: 20px;
    border: 1px solid var(--vb-cyan);
    cursor: pointer;
    position: relative;
    border-radius: 0.35rem;
}

.check input:checked{
    background-color: var(--vb-cyan);
}

.check input:checked::before{
    content: '✔';
    position: absolute;
    color: var(--dk-text);
    font-size: 1.05rem;
    font-weight: 600;
    left: 50%;
    top: -3.5px;
    transform: translateX(-50%);
   
}

.check label{
    color: var(--pl-white);
    font-size: 1.25rem;
    letter-spacing: 0.75px;

}

.copyBtn{
    background-color: transparent;
    border: none;
    outline: none;
}

.tooltip{
    position: absolute;
    background-color: var(--vb-violet2);
    color: var(--vb-yellow);
    font-size: 1.25rem;
    top: -35px;
    left: -25px;
    padding: 5px 10px;
    border-radius: 1rem;
    opacity: 0;
    transform: scale(0);
    transform-origin: bottom;
    transition: all 250ms ease-in-out;
}

.tooltip.active{
    opacity: 1;
    transform: scale(1);
}